POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "e06aa191-9d06-43dd-9325-301ebeeb0ac9",
"batch_id": "cf5b7bb1-db84-455e-80d5-fb1c205bf26c",
"medistream_id": "d51ebd6e-3b3e-4cf5-b397-40f14db99a9e",
"witness_id": "d176a830-c867-4430-a97b-271e2b38581f",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-25T09:11:05.5518287+00:00",
"stop_time": "2026-09-25T09:11:05.5518287+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>cf5b7bb1-db84-455e-80d5-fb1c205bf26c</batch_id> <compartment>1</compartment> <id>e06aa191-9d06-43dd-9325-301ebeeb0ac9</id> <medistream_id>d51ebd6e-3b3e-4cf5-b397-40f14db99a9e</medistream_id> <start_time>2026-09-25T09:11:05.5518287+00:00</start_time> <stop_time>2026-09-25T09:11:05.5518287+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>d176a830-c867-4430-a97b-271e2b38581f</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e30c011d-29ab-484b-8ce2-c1b1e79282ec"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e30c011d-29ab-484b-8ce2-c1b1e79282ec</guid>